unit uIEditorInformeRecibosProveedorReport;

interface

uses
  FactuGES_Intf, uIEditorInformeBase;

type
  IEditorInformeRecibosProveedorReport = interface(IEditorInformeBase)
  ['{63D1B0D1-9BDD-48B6-BD3B-C05AC6B49C9C}']
    function GetFechaFin: Variant;
    function GetFechaInicio: Variant;
    function GetFechaVenFin: Variant;
    function GetFechaVenInicio: Variant;
    function GetListaIDProveedores: TIntegerArray;
    function GetDesglosadoProveedor: Boolean;
    function GetImporteMinimo: Currency;
    property FechaInicio: Variant read GetFechaInicio;
    property FechaFin: Variant read GetFechaFin;
    property FechaVenInicio: Variant read GetFechaVenInicio;
    property FechaVenFin: Variant read GetFechaVenFin;
    property ListaIDProveedores: TIntegerArray read GetListaIDProveedores;
    property DesglosadoProveedor: Boolean read GetDesglosadoProveedor;
    property ImporteMinimo: Currency read getImporteMinimo;
  end;


implementation

end.
